package com.halomobi.sdk.listener;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;

import java.util.List;

public interface NativeResponse {
    public String getTitle();

    public List<String> getImgList();

    public String getAdDescription();

    public double getPrice();

    public String getLogoUrl();

    public void handleShow();

    public void handleClick(View view, boolean click);

    public void registerUnifiedListener(Context context, ViewGroup container, List<View> viewList, NativeUnifiedBackAdListener listener);
}